Telegram APIPayments
payments.getConnectedStarRefBot
Fetch info about a specific bot affiliation »
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
workspaceId*string
Workspace ID
accountId*string
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
params*
Fetch info about a specific bot affiliation »
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/payments.getConnectedStarRefBot" \ -H "Content-Type: application/json" \ -d '{ "params": { "peer": { "_": "inputPeerEmpty" }, "bot": { "_": "inputUserEmpty" } } }'{ "result": { "_": "payments.connectedStarRefBots", "count": 0, "connectedBots": [ { "_": "connectedBotStarRef", "revoked": true, "url": "string", "date": 0, "botId": 0, "commissionPermille": 0, "durationMonths": 0, "participants": "string", "revenue": "string" } ], "users": [ { "_": "userEmpty", "id": 0 } ] }}